[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomDesignControl.Create

Constructor for the class instance.

## Declaration

Source position: forms.pp line 300

`public constructor TCustomDesignControl.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited method using the value in TheOwner as the owner of the class instance. Create sets the default values for the following properties:

- Scaled
- DesignTimePPI
- PixelsPerInch

When scaling is enabled in the Application, the value in DesignTimePPI is used as the PixelsPerInch setting in the Font property.

## See also

TCustomDesignControl.Scaled |  | Indicates if the design surface is scaled to reflect changes in display density (Pixels Per Inch).
TCustomDesignControl.PixelsPerInch |  | Run-time Pixels Per Inch for the designer surface.
TCustomDesignControl.Scaled |  | Indicates if the design surface is scaled to reflect changes in display density (Pixels Per Inch).
TApplication.Scaled |  | Indicates if forms and controls in the application can be scaled to different display densities (Pixels per Inch).
TControl.Font |  | The font to be used for text display in this control.